mkdir certs crl newcerts private
echo "01" > serial
cp /dev/null index.txt
rm -rf testssl
rm -rf ctestssl
#cp ../openssl.cnf openssl.cnf
openssl req -new -x509 -keyout private/cakey.pem -out cacert.pem -days 365 -config openssl.cnf
cp private/cakey.pem private/cakey.pem.enc
openssl rsa -in private/cakey.pem.enc -out private/cakey.pem

openssl req -nodes -new -x509 -keyout newreq.pem -out newreq.pem -days 365 -config openssl.cnf
openssl req -nodes -new -x509 -keyout clireq.pem -out clireq.pem -days 365 -config openssl.cnf

openssl x509 -x509toreq -in newreq.pem -signkey newreq.pem -out tmp.pem
openssl x509 -x509toreq -in clireq.pem -signkey clireq.pem -out tmp1.pem

openssl ca -config openssl.cnf -policy policy_anything -out newcert.pem -infiles tmp.pem
openssl ca -config openssl.cnf -policy policy_anything -out clicert.pem -infiles tmp1.pem

rm -f tmp?.pem

mkdir testssl testssl/private testssl/cert/ testssl/ca
mkdir ctestssl ctestssl/private ctestssl/cert/ ctestssl/ca

cp newreq.pem ./testssl/private/private.key
cp newcert.pem ./testssl/cert/newcert.pem
cp cacert.pem ./testssl/ca/cacert.pem

cp clireq.pem ./ctestssl/private/private.key
cp clicert.pem ./ctestssl/cert/clicert.pem
cp cacert.pem ./ctestssl/ca/cacert.pem

rm -rf *.pem
rm -rf certs crl newcerts private
rm -rf serial index.txt
