#!/bin/sh
#------------------------------------------------
# IPIP tunnel config scipt on client side
#
# By Yu Cai (ycai@uccs.edu) at UCCS, June 2003
#------------------------------------------------

#define var
client_ip=$1 #128.198.61.51
client_gw=$2 #128.198.61.1
proxy_ip=$3 #128.198.60.42
target_ip=$4 #128.198.60.201
tunl=$5 #tunl1

#config tunnel between client and proxy
ifconfig $tunl down
ip tunnel add $tunl mode ipip remote $proxy_ip dev eth0 
ifconfig $tunl $client_ip
ip link set $tunl up
ip route add $proxy_ip via $client_gw dev $tunl onlink

#route traffic between client and target through tunnel
ip route add $target_ip via $client_gw dev $tunl onlink
