# SCO OpenServer 5.0
# Thamer Al-Herbish shadows@whitefang.com

# Set your compiler here
CC = gcc

DEFINES = -DX2_OFF -DHAVE_INCKSUM -DIP_LEN_HORDER

# Tweak these if you have to

LIBS = -lsocket
INCLUDE_DIR = -I.
CFLAGS = -Wall -g -c
LINK = $(CC) -o
COMPILE = $(CC) $(INCLUDE_DIR) $(DEFINES) $(CFLAGS) 
TARGETS = tcp udp ipicmp

# The rest should work.

all: $(TARGETS)

tcp: tcp.o tcp_gen.o ip_gen.o trans_check.o
	$(LINK) tcp tcp.o tcp_gen.o ip_gen.o trans_check.o $(LIBS)

udp: udp.o udp_gen.o ip_gen.o trans_check.o 
	$(LINK) udp udp.o udp_gen.o ip_gen.o trans_check.o $(LIBS)

ipicmp: ipicmp.o
	$(LINK) ipicmp ipicmp.o  $(LIBS)

.c.o:
	$(COMPILE) $<

clean:
	rm -rf *.o $(TARGETS)
